<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" lang="pl">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=11"/>
<meta name="generator" content="Doxygen 1.9.7"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>Robomap: Dokumentacja pliku RobotImage.hpp</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="navtree.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="resize.js"></script>
<script type="text/javascript" src="navtreedata.js"></script>
<script type="text/javascript" src="navtree.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr id="projectrow">
  <td id="projectalign">
   <div id="projectname">Robomap<span id="projectnumber">&#160;0.1</span>
   </div>
   <div id="projectbrief">RM</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Wygenerowano przez Doxygen 1.9.7 -->
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(function() {
  initMenu('',false,false,'search.php','Szukaj');
});
/* @license-end */
</script>
<div id="main-nav"></div>
</div><!-- top -->
<div id="side-nav" class="ui-resizable side-nav-resizable">
  <div id="nav-tree">
    <div id="nav-tree-contents">
      <div id="nav-sync" class="sync"></div>
    </div>
  </div>
  <div id="splitbar" style="-moz-user-select:none;" 
       class="ui-resizable-handle">
  </div>
</div>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(document).ready(function(){initNavTree('_robot_image_8hpp.html',''); initResizable(); });
/* @license-end */
</script>
<div id="doc-content">
<div class="header">
  <div class="summary">
<a href="#nested-classes">Komponenty</a> &#124;
<a href="#define-members">Definicje</a>  </div>
  <div class="headertitle"><div class="title">Dokumentacja pliku RobotImage.hpp</div></div>
</div><!--header-->
<div class="contents">

<p>Definicja klasy <a class="el" href="class_robot_image.html" title="Widget wyświetlający obraz robota.">RobotImage</a>.  
<a href="#details">Więcej...</a></p>
<div class="textblock"><code>#include &lt;QPainter&gt;</code><br />
<code>#include &lt;QWidget&gt;</code><br />
</div><div class="textblock"><div class="dynheader">
Wykres zależności załączania dla RobotImage.hpp:</div>
<div class="dyncontent">
<div class="center"><img src="_robot_image_8hpp__incl.png" border="0" usemap="#a_robot_image_8hpp" alt=""/></div>
<map name="a_robot_image_8hpp" id="a_robot_image_8hpp">
<area shape="rect" title="Definicja klasy RobotImage." alt="" coords="32,5,148,31"/>
<area shape="rect" title=" " alt="" coords="5,79,79,104"/>
<area shape="poly" title=" " alt="" coords="84,33,60,69,55,66,80,30"/>
<area shape="rect" title=" " alt="" coords="103,79,175,104"/>
<area shape="poly" title=" " alt="" coords="100,29,126,66,121,69,96,33"/>
</map>
</div>
</div><div class="textblock"><div class="dynheader">
Ten wykres pokazuje, które pliki bezpośrednio lub pośrednio załączają ten plik:</div>
<div class="dyncontent">
<div class="center"><img src="_robot_image_8hpp__dep__incl.png" border="0" usemap="#a_robot_image_8hppdep" alt=""/></div>
<map name="a_robot_image_8hppdep" id="a_robot_image_8hppdep">
<area shape="rect" title="Definicja klasy RobotImage." alt="" coords="149,5,265,31"/>
<area shape="rect" href="_distance_win_8hpp.html" title="Definicja klasy DistanceWin." alt="" coords="77,79,196,104"/>
<area shape="poly" title=" " alt="" coords="188,43,150,80,146,77,184,39"/>
<area shape="rect" href="_robot_image_8cpp.html" title="Definicje metod klasy RobotImage." alt="" coords="220,79,336,104"/>
<area shape="poly" title=" " alt="" coords="231,39,268,77,265,80,227,43"/>
<area shape="rect" href="_distance_win_8cpp.html" title="Definicje metod klasy DistanceWin." alt="" coords="5,152,124,177"/>
<area shape="poly" title=" " alt="" coords="117,116,78,154,74,150,113,112"/>
<area shape="rect" href="_main_window_8hpp.html" title="Definicja klasy MainWindow." alt="" coords="149,152,269,177"/>
<area shape="poly" title=" " alt="" coords="160,112,199,150,195,154,157,116"/>
<area shape="rect" href="_main_window_8cpp.html" title="Definicje metod klasy MainWindow." alt="" coords="87,225,207,251"/>
<area shape="poly" title=" " alt="" coords="192,190,159,227,155,223,188,186"/>
<area shape="rect" href="main_8cpp.html" title=" " alt="" coords="231,225,306,251"/>
<area shape="poly" title=" " alt="" coords="229,186,261,223,257,227,225,190"/>
</map>
</div>
</div>
<p><a href="_robot_image_8hpp_source.html">Idź do kodu źródłowego tego pliku.</a></p>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a id="nested-classes" name="nested-classes"></a>
Komponenty</h2></td></tr>
<tr class="memitem:"><td class="memItemLeft" align="right" valign="top">class &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_robot_image.html">RobotImage</a></td></tr>
<tr class="memdesc:"><td class="mdescLeft">&#160;</td><td class="mdescRight">Widget wyświetlający obraz robota.  <a href="class_robot_image.html#details">Więcej...</a><br /></td></tr>
<tr class="separator:"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a id="define-members" name="define-members"></a>
Definicje</h2></td></tr>
<tr class="memitem:a11d038bc0d376b5a6a7634604b6e058d"><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="_robot_image_8hpp.html#a11d038bc0d376b5a6a7634604b6e058d">SENSORS</a>&#160;&#160;&#160;4</td></tr>
<tr class="separator:a11d038bc0d376b5a6a7634604b6e058d"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a017d6ce632ee1f531f9dbb5b55ee0492"><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="_robot_image_8hpp.html#a017d6ce632ee1f531f9dbb5b55ee0492">IMAGE</a>&#160;&#160;&#160;&quot;/home/higgs_001/Robomap/prj/ui/RobotSumo.png&quot;</td></tr>
<tr class="separator:a017d6ce632ee1f531f9dbb5b55ee0492"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<a name="details" id="details"></a><h2 class="groupheader">Opis szczegółowy</h2>
<div class="textblock"><p>Plik zawiera definicję klasy <a class="el" href="class_robot_image.html" title="Widget wyświetlający obraz robota.">RobotImage</a>, która dziedziczy klasę QWidget. Wyświetla rzut z góry modelu 3D robota. </p>

<p class="definition">Definicja w pliku <a class="el" href="_robot_image_8hpp_source.html">RobotImage.hpp</a>.</p>
</div><h2 class="groupheader">Dokumentacja definicji</h2>
<a id="a11d038bc0d376b5a6a7634604b6e058d" name="a11d038bc0d376b5a6a7634604b6e058d"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a11d038bc0d376b5a6a7634604b6e058d">&#9670;&#160;</a></span>SENSORS</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">#define SENSORS&#160;&#160;&#160;4</td>
        </tr>
      </table>
</div><div class="memdoc">

<p class="definition">Definicja w linii <a class="el" href="_robot_image_8hpp_source.html#l00016">16</a> pliku <a class="el" href="_robot_image_8hpp_source.html">RobotImage.hpp</a>.</p>

</div>
</div>
<a id="a017d6ce632ee1f531f9dbb5b55ee0492" name="a017d6ce632ee1f531f9dbb5b55ee0492"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a017d6ce632ee1f531f9dbb5b55ee0492">&#9670;&#160;</a></span>IMAGE</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">#define IMAGE&#160;&#160;&#160;&quot;/home/higgs_001/Robomap/prj/ui/RobotSumo.png&quot;</td>
        </tr>
      </table>
</div><div class="memdoc">

<p class="definition">Definicja w linii <a class="el" href="_robot_image_8hpp_source.html#l00017">17</a> pliku <a class="el" href="_robot_image_8hpp_source.html">RobotImage.hpp</a>.</p>

</div>
</div>
</div><!-- contents -->
</div><!-- doc-content -->
<!-- start footer part -->
<div id="nav-path" class="navpath"><!-- id is needed for treeview function! -->
  <ul>
    <li class="navelem"><a class="el" href="dir_4aa64b0872d36146e049722e293482e3.html">prj</a></li><li class="navelem"><a class="el" href="dir_72345776cd6700fb0dedb8f1faaa0c00.html">inc</a></li><li class="navelem"><a class="el" href="_robot_image_8hpp.html">RobotImage.hpp</a></li>
    <li class="footer">Wygenerowano przez <a href="https://www.doxygen.org/index.html"><img class="footer" src="doxygen.svg" width="104" height="31" alt="doxygen"/></a> 1.9.7 </li>
  </ul>
</div>
</body>
</html>
